using System;
using System.Collections;

namespace frilenseri_nisu_influenseri
{
    class Program
    {
        static void ucitavanje(ref int N, ref int[] Ai, ref double[] Pi, ref int i)
        {
            string[] s1 = new string[] { };
            ArrayList s = new ArrayList();
            ArrayList p = new ArrayList();
            for (i = 0; i < N; i++)
            {
                s1 = Console.ReadLine().Split();
                s.Add(int.Parse(s1[0]));
                p.Add(double.Parse(s1[1]));
              
            }

            Ai = (int[])s.ToArray(typeof(int));
            Pi = (double[])p.ToArray(typeof(double));
        }
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            int[] Ai = new int[] { };
            double[] Pi = new double[] { };
            int i = 0;
            for (i = 0; i < N; i++)
            {
                ucitavanje(ref N, ref Ai, ref Pi, ref i);
            }
            ArrayList ListaPoreza = new ArrayList();
            double rezultat = 0;
            for (i = 0; i < N; i++)
            {
                rezultat = 0;
                for (int brojac1 = 0; brojac1 < N; brojac1++)
                { 
                    if (Pi[brojac1] >= Pi[i])
                        rezultat += (Ai[brojac1] * Pi[i]) / 100;
                }
                ListaPoreza.Add(rezultat);
            }
            double[] listaPoreza = (double[])ListaPoreza.ToArray(typeof(double));
            Array.Sort(listaPoreza);
            Array.Reverse(listaPoreza);
            Console.WriteLine("{0:F4}", listaPoreza[0]);
        } 
    }
}